package com.zd.system.api.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 算法结果
 * @Author: zhoupan
 * @Date: 2021/11/26/15:33
 * @Description:
 */
@ApiModel("算法")
public class Algorithm {

    private Long id;
    @ApiModelProperty("类型")
    private String algorithmType;
    @ApiModelProperty("算法结果json")
    private String algorithmResult;
    @ApiModelProperty("业务结果")
    private Boolean parseResult;
    @ApiModelProperty("业务结果说明")
    private String parseResultMsg;
    @ApiModelProperty("是否报警")
    private Integer isAlarm;

    /**
     * 只有签到检查存在
     */
    private Long signId;

    private Long subId;


    private int status = 0;

    private String algorithmName;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;


    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public Long getSignId() {
        return signId;
    }

    public void setSignId(Long signId) {
        this.signId = signId;
    }

    public Boolean getParseResult() {
        return parseResult;
    }

    public void setParseResult(Boolean parseResult) {
        this.parseResult = parseResult;
    }

    public String getParseResultMsg() {
        return parseResultMsg;
    }

    public void setParseResultMsg(String parseResultMsg) {
        this.parseResultMsg = parseResultMsg;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAlgorithmType() {
        return algorithmType;
    }

    public void setAlgorithmType(String algorithmType) {
        this.algorithmType = algorithmType;
    }


    public String getAlgorithmResult() {
        return algorithmResult;
    }

    public void setAlgorithmResult(String algorithmResult) {
        this.algorithmResult = algorithmResult;
    }


    public int getStatus() {
       return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getAlgorithmName() {

        return algorithmName;
    }

    public void setAlgorithmName(String algorithmName) {
        this.algorithmName = algorithmName;
    }

    public Integer getIsAlarm() {
        return isAlarm;
    }

    public void setIsAlarm(Integer isAlarm) {
        this.isAlarm = isAlarm;
    }
}
